<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ToolFunction extends Model
{
    protected $fillable = [
        'tool_id',
        'name',
        'description',
        'parameters',
        'required',
    ];

    public function tool(): BelongsTo
    {
        return $this->belongsTo(Tool::class);
    }

    public function getParametersAttribute($value)
    {
        return json_decode($value, true);
    }

    public function getRequiredAttribute($value)
    {
        return json_decode($value, true);
    }

    public function setParametersAttribute($value): void
    {
        $this->attributes['parameters'] = json_encode($value);
    }

    public function setRequiredAttribute($value): void
    {
        $this->attributes['required'] = json_encode($value);
    }
}
